# scores
scoreboard players add @s jjba_clock 1

# sound effects
execute as @s[scores={jjba_clock=5}] unless entity @s[nbt={Motion:[0.0,0.0,0.0]}] at @s unless block ~ ~-1 ~ #jjba:airs run playsound minecraft:block.stone.step master @a ~ ~ ~ 0.5 1
execute as @s[scores={jjba_clock=10}] unless entity @s[nbt={Motion:[0.0,0.0,0.0]}] at @s unless block ~ ~-1 ~ #jjba:airs run playsound minecraft:block.stone.step master @a ~ ~ ~ 0.5 1
execute as @s[scores={jjba_clock=15}] unless entity @s[nbt={Motion:[0.0,0.0,0.0]}] at @s unless block ~ ~-1 ~ #jjba:airs run playsound minecraft:block.stone.step master @a ~ ~ ~ 0.5 1
execute as @s[scores={jjba_clock=20}] unless entity @s[nbt={Motion:[0.0,0.0,0.0]}] at @s unless block ~ ~-1 ~ #jjba:airs run playsound minecraft:block.stone.step master @a ~ ~ ~ 0.5 1
execute if entity @s[nbt={HurtTime:10s}] at @s run playsound minecraft:entity.player.hurt master @a ~ ~ ~ 0.75 1

# stops projectiles and tnt
execute if entity @e[type=#jjba:projectile,distance=..6] run kill @e[type=#jjba:projectile,distance=..5]
execute as @e[type=minecraft:tnt,distance=..2] run kill @s

# ribs attack
execute as @s[scores={jjba_clock=20}] at @s run execute as @e[type=#jjba:sentient,tag=!pillar_man,distance=3..8,limit=1,sort=nearest] unless entity @s[gamemode=creative] at @s run summon minecraft:evoker_fangs ^ ^ ^
execute as @s[scores={jjba_clock=20}] at @s run execute as @e[type=#jjba:sentient,tag=!pillar_man,distance=3..8,limit=1,sort=nearest] unless entity @s[gamemode=creative] at @s run summon minecraft:evoker_fangs ^0.5 ^ ^
execute as @s[scores={jjba_clock=20}] at @s run execute as @e[type=#jjba:sentient,tag=!pillar_man,distance=3..8,limit=1,sort=nearest] unless entity @s[gamemode=creative] at @s run summon minecraft:evoker_fangs ^-0.5 ^ ^
execute as @s[scores={jjba_clock=20}] at @s run execute as @e[type=#jjba:sentient,tag=!pillar_man,distance=3..8,limit=1,sort=nearest] unless entity @s[gamemode=creative] at @s run summon minecraft:evoker_fangs ^ ^ ^0.5
execute as @s[scores={jjba_clock=20}] at @s run execute as @e[type=#jjba:sentient,tag=!pillar_man,distance=3..8,limit=1,sort=nearest] unless entity @s[gamemode=creative] at @s run summon minecraft:evoker_fangs ^ ^ ^-0.5

# teleports pillar man to safe location

execute as @s[predicate=overworld] unless block ~ ~ ~ #jjba:airs run tag @s add overworld
execute as @s[predicate=nether] unless block ~ ~ ~ #jjba:airs run tag @s add nether
execute as @s[predicate=end] unless block ~ ~ ~ #jjba:airs run tag @s add end

execute as @s[tag=overworld] at @s unless block ~ ~ ~ #jjba:airs run spreadplayers ~ ~ 0 8 under 255 false @s
execute as @s[tag=nether] at @s unless block ~ ~ ~ #jjba:airs run spreadplayers ~ ~ 0 8 under 127 false @s
execute as @s[tag=end] at @s unless block ~ ~ ~ #jjba:airs run spreadplayers ~ ~ 0 8 under 255 false @s

execute as @s[tag=overworld] run tag @s remove overworld
execute as @s[tag=nether] run tag @s remove nether
execute as @s[tag=end] run tag @s remove end

# removes hunger effect
execute as @e[type=#jjba:sentient,distance=0.1..16,nbt={ActiveEffects:[{Id:17b}]}] run effect clear @s minecraft:hunger

# score resetting
execute if entity @s[scores={jjba_clock=21..}] run scoreboard players reset @s jjba_clock
