# teleports stand in front of player
execute as @s[scores={jjba_sneak=0}] at @s rotated ~ 0 run tp @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] ^-0.7 ^0.4 ^1
execute as @s[scores={jjba_sneak=1}] at @s rotated ~ 0 run tp @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] ^ ^ ^1

# teleports stand to nearby hostile entity
execute as @s[scores={jjba_sneak=0,jjba_stat_range=1}] as @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] at @e[tag=!barrage_2,type=!#jjba:insentient,tag=!time_killed,limit=1,sort=nearest,distance=..1.8] run tp @s ^ ^0.2 ^0.8 ~180 ~
execute as @s[scores={jjba_sneak=0,jjba_stat_range=2}] as @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] at @e[tag=!barrage_2,type=!#jjba:insentient,tag=!time_killed,limit=1,sort=nearest,distance=..2.4] run tp @s ^ ^0.2 ^0.8 ~180 ~
execute as @s[scores={jjba_sneak=0,jjba_stat_range=3}] as @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] at @e[tag=!barrage_2,type=!#jjba:insentient,tag=!time_killed,limit=1,sort=nearest,distance=..3.6] run tp @s ^ ^0.2 ^0.8 ~180 ~
execute as @s[scores={jjba_sneak=0,jjba_stat_range=4}] as @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] at @e[tag=!barrage_2,type=!#jjba:insentient,tag=!time_killed,limit=1,sort=nearest,distance=..4.2] run tp @s ^ ^0.2 ^0.8 ~180 ~
execute as @s[scores={jjba_sneak=0,jjba_stat_range=5}] as @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] at @e[tag=!barrage_2,type=!#jjba:insentient,tag=!time_killed,limit=1,sort=nearest,distance=..4.8] run tp @s ^ ^0.2 ^0.8 ~180 ~

# looping timer with conditions to control attack speed
execute at @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] run scoreboard players add @s jjba_clock 1
execute as @s[scores={jjba_clock=5..}] run scoreboard players set @s jjba_clock 0

# damages entities and animates stand model

execute as @s[scores={jjba_sneak=0,jjba_clock=0..}] at @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] if entity @e[tag=!barrage_2,type=!#jjba:insentient,tag=!time_killed,distance=..1] run function jjba:stands/star/barrage/damage
execute as @s[scores={jjba_sneak=1,jjba_clock=0..}] at @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] run function jjba:stands/star/barrage/damage

execute store result score mobGriefing gamerule run gamerule mobGriefing
execute as @s[scores={jjba_sneak=1,jjba_clock=0..,jjba_active=20..}] at @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] if score mobGriefing gamerule matches 1 run function jjba:stands/star/barrage/block_damage

# switch back to normal model when attack stops
execute as @s[scores={jjba_sneak=0,jjba_clock=0,jjba_ab_3=0}] as @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] at @s unless entity @e[tag=!barrage_2,type=!#jjba:insentient,distance=..1] unless entity @s[nbt={ArmorItems:[{},{},{},{id:"minecraft:diamond_hoe",tag:{CustomModelData:30001}}]}] run replaceitem entity @s armor.head minecraft:diamond_hoe{CustomModelData:30001}
execute as @s[scores={jjba_sneak=0,jjba_clock=0,jjba_ab_3=1}] as @e[type=armor_stand,tag=star_platinum,limit=1,sort=nearest] at @s unless entity @e[tag=!barrage_2,type=!#jjba:insentient,distance=..1] unless entity @s[nbt={ArmorItems:[{},{},{},{id:"minecraft:diamond_hoe",tag:{CustomModelData:30004}}]}] run replaceitem entity @s armor.head minecraft:diamond_hoe{CustomModelData:30004}
