# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/sticky/stand/summon_stand
execute as @s[scores={jjba_active=21},tag=stand_active] at @s run function jjba:stands/sticky/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/sticky/stand/dismiss_stand

# initiates active abilities
execute as @s[scores={jjba_head_f=1,jjba_attack_2=0}] run tag @s add attack_1
execute as @s[scores={jjba_head_F=1,jjba_ab_2=1}] at @s run function jjba:stands/sticky/open_portal/open_portal
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1,jjba_attack_1=0}] run tag @s add attack_2
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1,jjba_attack_1=0}] run tag @s add barrage_8
execute as @s run function jjba:stands/sticky/while_active

# runs active abilities
execute as @s[tag=attack_1] at @s run function jjba:stands/sticky/zipper_punch/ability
execute as @s[tag=attack_2] at @s run function jjba:stands/sticky/dismemberment/ability

# bossbars

execute as @s store result bossbar jjba_sticky_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_sticky_1 name [{"text":"Zipper Punch : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_attack_1=1..}] run bossbar set minecraft:jjba_sticky_1 name [{"text":"Zipper Punch : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_sticky_1 name [{"text":"Zipper Punch : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]
execute as @s[scores={jjba_attack_2=1..}] run bossbar set minecraft:jjba_sticky_1 name [{"text":"Zipper Punch : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_sticky_2 value run scoreboard players get @s jjba_cooldown_2
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=0}] run bossbar set minecraft:jjba_sticky_2 name [{"text":"Dismemberment : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=1..}] run bossbar set minecraft:jjba_sticky_2 name [{"text":"Dismemberment : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=1..}] run bossbar set minecraft:jjba_sticky_2 name [{"text":"Dismemberment : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_1=1..}] run bossbar set minecraft:jjba_sticky_2 name [{"text":"Dismemberment : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s[scores={jjba_ab_2=1}] run title @s actionbar [{"text":"Open Portal : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.sneak","color":"yellow"},{"text":"+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to use","color":"yellow"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute unless entity @s[nbt={Inventory:[{Slot:0b}]}] run replaceitem entity @s hotbar.0 minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Sticky Fingers』\"}"},CustomModelData:220001}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
