# summon stand
execute as @s[scores={jjba_active=0,jjba_attack_1=0,jjba_cooldown_1=0}] run scoreboard players set @s jjba_active 1

# termination conditions
execute as @s[scores={jjba_head_f=1,jjba_attack_1=1..}] run scoreboard players set @s jjba_cooldown_1 1200
execute as @s[scores={jjba_head_f=1,jjba_attack_1=1..}] run scoreboard players set @s jjba_attack_1 0

# initiate
execute as @s[scores={jjba_cooldown_1=0,jjba_attack_1=0}] run scoreboard players set @s jjba_attack_1 1200

# attack
execute as @s[scores={jjba_attack_1=1..}] at @s run function jjba:stands/crazy/barrage/attack

# duration
execute as @s[scores={jjba_sneak=0,jjba_attack_1=1..,jjba_stat_dur=1}] run scoreboard players add @s jjba_cooldown_1 24
execute as @s[scores={jjba_sneak=0,jjba_attack_1=1..,jjba_stat_dur=2}] run scoreboard players add @s jjba_cooldown_1 16
execute as @s[scores={jjba_sneak=0,jjba_attack_1=1..,jjba_stat_dur=3}] run scoreboard players add @s jjba_cooldown_1 10
execute as @s[scores={jjba_sneak=0,jjba_attack_1=1..,jjba_stat_dur=4}] run scoreboard players add @s jjba_cooldown_1 7
execute as @s[scores={jjba_sneak=0,jjba_attack_1=1..,jjba_stat_dur=5}] run scoreboard players add @s jjba_cooldown_1 4
execute as @s[scores={jjba_sneak=1,jjba_attack_1=1..,jjba_stat_dur=1}] run scoreboard players add @s jjba_cooldown_1 48
execute as @s[scores={jjba_sneak=1,jjba_attack_1=1..,jjba_stat_dur=2}] run scoreboard players add @s jjba_cooldown_1 32
execute as @s[scores={jjba_sneak=1,jjba_attack_1=1..,jjba_stat_dur=3}] run scoreboard players add @s jjba_cooldown_1 20
execute as @s[scores={jjba_sneak=1,jjba_attack_1=1..,jjba_stat_dur=4}] run scoreboard players add @s jjba_cooldown_1 14
execute as @s[scores={jjba_sneak=1,jjba_attack_1=1..,jjba_stat_dur=5}] run scoreboard players add @s jjba_cooldown_1 8
execute as @s[scores={jjba_cooldown_1=1200..}] run scoreboard players set @s jjba_cooldown_1 1200
execute as @s[scores={jjba_sneak=0,jjba_attack_1=1..,jjba_stat_dur=1}] run scoreboard players remove @s jjba_attack_1 24
execute as @s[scores={jjba_sneak=0,jjba_attack_1=1..,jjba_stat_dur=2}] run scoreboard players remove @s jjba_attack_1 16
execute as @s[scores={jjba_sneak=0,jjba_attack_1=1..,jjba_stat_dur=3}] run scoreboard players remove @s jjba_attack_1 10
execute as @s[scores={jjba_sneak=0,jjba_attack_1=1..,jjba_stat_dur=4}] run scoreboard players remove @s jjba_attack_1 7
execute as @s[scores={jjba_sneak=0,jjba_attack_1=1..,jjba_stat_dur=5}] run scoreboard players remove @s jjba_attack_1 4
execute as @s[scores={jjba_sneak=1,jjba_attack_1=1..,jjba_stat_dur=1}] run scoreboard players remove @s jjba_attack_1 48
execute as @s[scores={jjba_sneak=1,jjba_attack_1=1..,jjba_stat_dur=2}] run scoreboard players remove @s jjba_attack_1 32
execute as @s[scores={jjba_sneak=1,jjba_attack_1=1..,jjba_stat_dur=3}] run scoreboard players remove @s jjba_attack_1 20
execute as @s[scores={jjba_sneak=1,jjba_attack_1=1..,jjba_stat_dur=4}] run scoreboard players remove @s jjba_attack_1 14
execute as @s[scores={jjba_sneak=1,jjba_attack_1=1..,jjba_stat_dur=5}] run scoreboard players remove @s jjba_attack_1 8
execute as @s[scores={jjba_attack_1=..-1}] run scoreboard players set @s jjba_attack_1 0

# model return
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1200}] as @e[type=armor_stand,tag=crazy_diamond,limit=1,sort=nearest] unless entity @s[nbt={ArmorItems:[{},{},{},{id:"minecraft:diamond_hoe",tag:{CustomModelData:100001}}]}] run replaceitem entity @s armor.head minecraft:diamond_hoe{CustomModelData:100001}

# block restoration
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1200}] at @s if entity @e[tag=block_restore] run function jjba:stands/crazy/barrage/block_restoration

# cooldown
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=1}] run scoreboard players remove @s jjba_cooldown_1 1
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=2}] run scoreboard players remove @s jjba_cooldown_1 2
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=3}] run scoreboard players remove @s jjba_cooldown_1 3
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=4}] run scoreboard players remove @s jjba_cooldown_1 5
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..,jjba_stat_cool=5}] run scoreboard players remove @s jjba_cooldown_1 8
execute as @s[scores={jjba_cooldown_1=..-1}] run scoreboard players set @s jjba_cooldown_1 0

# remove tag
execute as @s[scores={jjba_cooldown_1=0},tag=attack_1] run tag @s remove attack_1
execute as @s[scores={jjba_cooldown_1=0},tag=barrage_5] run tag @s remove barrage_5
