# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/moon/stand/summon_stand
execute as @s[scores={jjba_active=1..},tag=stand_active] at @s run function jjba:stands/moon/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/moon/stand/dismiss_stand

# initiates active abilities
execute as @s[scores={jjba_head_f=1,jjba_ab_2=1}] if block ~ ~ ~ #jjba:water if block ~ ~1 ~ #jjba:water run tag @s add attack_1
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1}] if block ~ ~ ~ #jjba:water if block ~ ~1 ~ #jjba:water if block ~ ~2 ~ #jjba:water if block ~ ~3 ~ #jjba:water if block ~ ~4 ~ #jjba:water if block ~ ~5 ~ #jjba:water run tag @s add attack_2

# runs active abilities
execute as @s[tag=attack_1] at @s run function jjba:stands/moon/barnacles/ability
execute as @s[tag=attack_2] at @s run function jjba:stands/moon/whirlpool/ability

# runs passive ability
execute as @s[scores={jjba_active=1..}] if block ~ ~ ~ #jjba:water if block ~ ~1 ~ #jjba:water run function jjba:stands/moon/water_effects

# bossbars

execute as @s store result bossbar jjba_moon_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_ab_2=1,jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_moon_1 name [{"text":"Barnacles : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]
execute as @s[scores={jjba_ab_2=1,jjba_attack_1=1..}] run bossbar set minecraft:jjba_moon_1 name [{"text":"Barnacles : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_2=1,jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_moon_1 name [{"text":"Barnacles : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]
execute as @s[scores={jjba_ab_2=1,jjba_attack_1=0,jjba_cooldown_1=0}] if block ~ ~ ~ #jjba:water if block ~ ~1 ~ #jjba:water run bossbar set minecraft:jjba_moon_1 name [{"text":"Barnacles : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]

execute as @s store result bossbar jjba_moon_2 value run scoreboard players get @s jjba_cooldown_2
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=0}] run bossbar set minecraft:jjba_moon_2 name [{"text":"Whirlpool : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=1..}] run bossbar set minecraft:jjba_moon_2 name [{"text":"Whirlpool : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=1..}] run bossbar set minecraft:jjba_moon_2 name [{"text":"Whirlpool : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=0}] if block ~ ~ ~ #jjba:water if block ~ ~1 ~ #jjba:water if block ~ ~2 ~ #jjba:water if block ~ ~3 ~ #jjba:water if block ~ ~4 ~ #jjba:water if block ~ ~5 ~ #jjba:water run bossbar set minecraft:jjba_moon_2 name [{"text":"Whirlpool : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to start","color":"yellow"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute unless entity @s[nbt={Inventory:[{Slot:0b}]}] run replaceitem entity @s hotbar.0 minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Dark Blue Moon』\"}"},CustomModelData:110001}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
