# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/queen/stand/summon_stand
execute as @s[scores={jjba_active=21},tag=stand_active] at @s run function jjba:stands/queen/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/queen/stand/dismiss_stand

# initiates active abilities

execute as @s[scores={jjba_head_f=1}] run tag @s add attack_1
execute as @s[scores={jjba_head_f=1,jjba_current_ab=0}] run tag @s add attack_1a
execute as @s[scores={jjba_head_f=1,jjba_current_ab=1}] run tag @s add attack_1b
execute as @s[scores={jjba_head_q=1,jjba_ab_2=1,jjba_ab_3=0}] run tag @s add attack_2
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1}] run tag @s add attack_3

execute as @s[scores={jjba_head_Q=1,jjba_attack_1=0,jjba_attack_2=0}] run scoreboard players add @s jjba_current_ab 1
execute as @s[scores={jjba_current_ab=2..}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_head_Q=1,jjba_attack_1=0,jjba_attack_2=0,jjba_current_ab=0}] run tellraw @s ["",{"text":"Current mode: ","italic":true,"color":"gray"},{"text":"Entity Bomb","italic":true}]
execute as @s[scores={jjba_head_Q=1,jjba_attack_1=0,jjba_attack_2=0,jjba_current_ab=1}] run tellraw @s ["",{"text":"Current mode: ","italic":true,"color":"gray"},{"text":"Block Bomb","italic":true}]

# runs active abilities
execute as @s[tag=attack_1a] at @s run function jjba:stands/queen/bomb/ability
execute as @s[tag=attack_1b] at @s run function jjba:stands/queen/bomb/ability
execute as @s[tag=attack_2] at @s run function jjba:stands/queen/sha/ability
execute as @s[tag=attack_3] at @s run function jjba:stands/queen/bites_the_dust/ability

# bossbars

execute as @s store result bossbar jjba_queen_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_queen_1 name [{"text":"Bomb : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to place","color":"yellow"}]
execute as @s[scores={jjba_attack_1=1200,jjba_cooldown_1=1..1199}] run bossbar set minecraft:jjba_queen_1 name [{"text":"Bomb : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.sneak","bold":true,"underlined":true,"color":"green"},{"text":"+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to remove","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_attack_1=1200,jjba_cooldown_1=1200..}] run bossbar set minecraft:jjba_queen_1 name [{"text":"Bomb : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to detonate","bold":true,"underlined":true,"color":"green"},{"text":" , head+","bold":false,"underlined":false,"color":"yellow"},{"keybind":"key.sneak","bold":false,"underlined":false,"color":"yellow"},{"text":"+","bold":false,"underlined":false,"color":"yellow"},{"keybind":"key.swapOffhand","bold":false,"underlined":false,"color":"yellow"},{"text":" to remove","bold":false,"underlined":false,"color":"yellow"}]
execute as @s[scores={jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_queen_1 name [{"text":"Bomb : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to place","color":"dark_gray"}]

execute as @s store result bossbar jjba_queen_2 value run scoreboard players get @s jjba_cooldown_2
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_2=0,jjba_cooldown_2=0}] run bossbar set minecraft:jjba_queen_2 name [{"text":"Sheer Heart Attack : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_2=1..}] run bossbar set minecraft:jjba_queen_2 name [{"text":"Sheer Heart Attack : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_2=0,jjba_cooldown_2=1..}] run bossbar set minecraft:jjba_queen_2 name [{"text":"Sheer Heart Attack : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_queen_3 value run scoreboard players get @s jjba_cooldown_3
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=0,jjba_cooldown_3=0}] run bossbar set minecraft:jjba_queen_3 name [{"text":"Bites The Dust : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to use","color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=9600,jjba_cooldown_3=1..9599}] run bossbar set minecraft:jjba_queen_3 name [{"text":"Bites The Dust : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.sneak","bold":true,"underlined":true,"color":"green"},{"text":"+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to cancel","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=9600,jjba_cooldown_3=9600..}] unless entity @e[tag=bite_active] run bossbar set minecraft:jjba_queen_3 name [{"text":"Bites The Dust : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.sneak","bold":true,"underlined":true,"color":"green"},{"text":"+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to cancel","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=9600,jjba_cooldown_3=9600..}] if entity @e[tag=bite_active] run bossbar set minecraft:jjba_queen_3 name [{"text":"Bites The Dust : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to detonate","bold":true,"underlined":true,"color":"green"},{"text":" , head+","bold":false,"underlined":false,"color":"yellow"},{"keybind":"key.sneak","bold":false,"underlined":false,"color":"yellow"},{"text":"+","bold":false,"underlined":false,"color":"yellow"},{"keybind":"key.drop","bold":false,"underlined":false,"color":"yellow"},{"text":" to cancel","bold":false,"underlined":false,"color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=0,jjba_cooldown_3=1..}] run bossbar set minecraft:jjba_queen_3 name [{"text":"Bites The Dust : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to use","color":"dark_gray"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute as @s[scores={jjba_ab_3=0}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run replaceitem entity @s hotbar.0 minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Killer Queen』\"}"},CustomModelData:170001}
execute as @s[scores={jjba_ab_3=1}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run replaceitem entity @s hotbar.0 minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Killer Queen: Bites The Dust』\"}"},CustomModelData:170001}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
