# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/soft/stand/summon_stand
execute as @s[scores={jjba_active=21},tag=stand_active] at @s run function jjba:stands/soft/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/soft/stand/dismiss_stand

# initiates active abilities

execute as @s[scores={jjba_head_f=1,jjba_ab_3=0}] run tag @s add attack_1
execute as @s[scores={jjba_head_F=1,jjba_ab_2=1}] run tag @s add attack_2
execute as @s[scores={jjba_head_q=1,jjba_ab_3=1}] run tag @s add attack_3

execute as @s[scores={jjba_head_Q=1,jjba_ab_3=0,jjba_attack_1=0}] run scoreboard players add @s jjba_current_ab 1
execute as @s[scores={jjba_current_ab=1..,jjba_stat_power=1}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_current_ab=2..,jjba_stat_power=2}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_current_ab=3..,jjba_stat_power=3}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_current_ab=4..,jjba_stat_power=4}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_current_ab=5..,jjba_stat_power=5}] run scoreboard players set @s jjba_current_ab 0
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=0,jjba_attack_1=0,jjba_current_ab=0}] run tellraw @s ["",{"text":"Current steal: ","italic":true,"color":"gray"},{"text":"Sight","italic":true,"color":"dark_purple"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=0,jjba_attack_1=0,jjba_current_ab=1}] run tellraw @s ["",{"text":"Current steal: ","italic":true,"color":"gray"},{"text":"Gravity","italic":true,"color":"green"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=0,jjba_attack_1=0,jjba_current_ab=2}] run tellraw @s ["",{"text":"Current steal: ","italic":true,"color":"gray"},{"text":"Health","italic":true,"color":"red"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=0,jjba_attack_1=0,jjba_current_ab=3}] run tellraw @s ["",{"text":"Current steal: ","italic":true,"color":"gray"},{"text":"Liquid","italic":true,"color":"aqua"}]
execute as @s[scores={jjba_head_Q=1,jjba_ab_3=0,jjba_attack_1=0,jjba_current_ab=4}] run tellraw @s ["",{"text":"Current steal: ","italic":true,"color":"gray"},{"text":"Object","italic":true,"color":"gray"}]

# runs active abilities
execute as @s[tag=attack_1] at @s run function jjba:stands/soft/plunder_bubble/ability
execute as @s[tag=attack_2] at @s run function jjba:stands/soft/bubble_shield/ability
execute as @s[tag=attack_3] at @s run function jjba:stands/soft/go_beyond/ability

# bossbars

execute as @s store result bossbar jjba_soft_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_soft_1 name [{"text":"Plunder Bubble : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_3=0,jjba_attack_1=1..}] run bossbar set minecraft:jjba_soft_1 name [{"text":"Plunder Bubble : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_soft_1 name [{"text":"Plunder Bubble : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_soft_2 value run scoreboard players get @s jjba_cooldown_2
execute as @s[scores={jjba_ab_2=1,jjba_attack_2=0,jjba_cooldown_2=0}] run bossbar set minecraft:jjba_soft_2 name [{"text":"Bubble Shield : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.sneak","color":"yellow"},{"text":"+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_2=1,jjba_attack_2=1..}] run bossbar set minecraft:jjba_soft_2 name [{"text":"Bubble Shield : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.sneak","bold":true,"underlined":true,"color":"green"},{"text":"+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_2=1,jjba_attack_2=0,jjba_cooldown_2=1..}] run bossbar set minecraft:jjba_soft_2 name [{"text":"Bubble Shield : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.sneak","color":"dark_gray"},{"text":"+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_soft_3 value run scoreboard players get @s jjba_cooldown_3
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=0,jjba_cooldown_3=0}] run bossbar set minecraft:jjba_soft_3 name [{"text":"Go Beyond : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=1..}] run bossbar set minecraft:jjba_soft_3 name [{"text":"Go Beyond : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=0,jjba_cooldown_3=1..}] run bossbar set minecraft:jjba_soft_3 name [{"text":"Go Beyond : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute as @s[scores={jjba_ab_3=0}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run replaceitem entity @s hotbar.0 minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Soft & Wet』\"}"},CustomModelData:280001}
execute as @s[scores={jjba_ab_3=1}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run replaceitem entity @s hotbar.0 minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Soft & Wet: Go Beyond』\"}"},CustomModelData:280001}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
