# regulates stand deployment
execute as @s[scores={jjba_active=1..21},tag=!stand_active] at @s run function jjba:stands/tusk/stand/summon_stand
execute as @s[scores={jjba_active=21},tag=stand_active] at @s run function jjba:stands/tusk/stand/stand_active
execute as @s[scores={jjba_active=-16..-1}] at @s run function jjba:stands/tusk/stand/dismiss_stand

# initiates active abilities
execute as @s[scores={jjba_head_f=1,jjba_ab_3=0}] run tag @s add attack_1
execute as @s[scores={jjba_head_F=1,jjba_ab_3=1,jjba_attack_3=0}] run tag @s add attack_2
execute as @s[scores={jjba_head_q=1,jjba_attack_2=0}] if entity @s[scores={jjba_ab_2=1,jjba_ab_3=1,jjba_stat_power=5,jjba_stat_range=5,jjba_stat_dur=5,jjba_stat_cool=5}] run tag @s add attack_3
execute as @s[scores={jjba_head_q=1,jjba_attack_2=0}] if entity @s[scores={jjba_ab_2=1,jjba_ab_3=1,jjba_stat_power=5,jjba_stat_range=5,jjba_stat_dur=5,jjba_stat_cool=5}] run tag @s add barrage_7
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=1,jjba_stat_power=5,jjba_stat_range=5,jjba_stat_dur=5,jjba_stat_cool=5}] run function jjba:stands/tusk/while_active

# runs active abilities
execute as @s[tag=attack_1,scores={jjba_ab_2=0}] at @s run function jjba:stands/tusk/spinning_shot/ability
execute as @s[tag=attack_1,scores={jjba_ab_2=1}] at @s run function jjba:stands/tusk/spinning_shot/golden_rectangle_shot/ability
execute as @s[tag=attack_2] at @s run function jjba:stands/tusk/spatial_wormhole/ability
execute as @s[tag=attack_3] at @s run function jjba:stands/tusk/barrage/barrage

# bossbars

execute as @s store result bossbar jjba_tusk_1 value run scoreboard players get @s jjba_cooldown_1
execute as @s[scores={jjba_ab_2=0,jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_tusk_1 name [{"text":"Spinning Shot : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_2=0,jjba_ab_3=0,jjba_attack_1=1..}] run bossbar set minecraft:jjba_tusk_1 name [{"text":"Spinning Shot : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_2=0,jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_tusk_1 name [{"text":"Spinning Shot : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=0}] run bossbar set minecraft:jjba_tusk_1 name [{"text":"Golden Rectangle Shot : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=1..}] run bossbar set minecraft:jjba_tusk_1 name [{"text":"Golden Rectangle Shot : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0,jjba_attack_1=0,jjba_cooldown_1=1..}] run bossbar set minecraft:jjba_tusk_1 name [{"text":"Golden Rectangle Shot : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_tusk_2 value run scoreboard players get @s jjba_cooldown_2
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=0}] run bossbar set minecraft:jjba_tusk_2 name [{"text":"Spatial Wormhole : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.sneak","color":"yellow"},{"text":"+","color":"yellow"},{"keybind":"key.swapOffhand","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=1..}] run bossbar set minecraft:jjba_tusk_2 name [{"text":"Spatial Wormhole : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.sneak","bold":true,"underlined":true,"color":"green"},{"text":"+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.swapOffhand","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_2=0,jjba_cooldown_2=1..}] run bossbar set minecraft:jjba_tusk_2 name [{"text":"Spatial Wormhole : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.sneak","color":"dark_gray"},{"text":"+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]
execute as @s[scores={jjba_ab_3=1,jjba_attack_3=1..}] run bossbar set minecraft:jjba_tusk_2 name [{"text":"Spatial Wormhole : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.sneak","color":"dark_gray"},{"text":"+","color":"dark_gray"},{"keybind":"key.swapOffhand","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

execute as @s store result bossbar jjba_tusk_3 value run scoreboard players get @s jjba_cooldown_3
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=1,jjba_attack_3=0,jjba_cooldown_3=0}] if entity @s[scores={jjba_stat_power=5,jjba_stat_range=5,jjba_stat_dur=5,jjba_stat_cool=5}] run bossbar set minecraft:jjba_tusk_3 name [{"text":"Attack : ","color":"white"},{"text":"head+","color":"yellow"},{"keybind":"key.drop","color":"yellow"},{"text":" to start","color":"yellow"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=1,jjba_attack_3=1..}] if entity @s[scores={jjba_stat_power=5,jjba_stat_range=5,jjba_stat_dur=5,jjba_stat_cool=5}] run bossbar set minecraft:jjba_tusk_3 name [{"text":"Attack : head+","bold":true,"underlined":true,"color":"green"},{"keybind":"key.drop","bold":true,"underlined":true,"color":"green"},{"text":" to stop","bold":true,"underlined":true,"color":"green"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=1,jjba_attack_3=0,jjba_cooldown_3=1..}] if entity @s[scores={jjba_stat_power=5,jjba_stat_range=5,jjba_stat_dur=5,jjba_stat_cool=5}] run bossbar set minecraft:jjba_tusk_3 name [{"text":"Attack : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=1,jjba_attack_2=1..}] if entity @s[scores={jjba_stat_power=5,jjba_stat_range=5,jjba_stat_dur=5,jjba_stat_cool=5}] run bossbar set minecraft:jjba_tusk_3 name [{"text":"Attack : ","color":"dark_gray"},{"text":"head+","color":"dark_gray"},{"keybind":"key.drop","color":"dark_gray"},{"text":" to start","color":"dark_gray"}]

# controls head
execute unless entity @s[nbt={Inventory:[{Slot:0b,id:"minecraft:scute",Count:1b,tag:{stand_head:1b}}]}] run clear @s minecraft:scute{stand_head:1b}
execute as @s[scores={jjba_ab_2=0,jjba_ab_3=0}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run replaceitem entity @s hotbar.0 minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Tusk ACT 1』\"}"},CustomModelData:270001}
execute as @s[scores={jjba_ab_2=1,jjba_ab_3=0}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run replaceitem entity @s hotbar.0 minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Tusk ACT 2』\"}"},CustomModelData:270002}
execute as @s[scores={jjba_ab_3=1}] unless entity @s[scores={jjba_ab_2=1,jjba_ab_3=1,jjba_stat_power=5,jjba_stat_range=5,jjba_stat_dur=5,jjba_stat_cool=5}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run replaceitem entity @s hotbar.0 minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Tusk ACT 3』\"}"},CustomModelData:270003}
execute as @s if entity @s[scores={jjba_ab_2=1,jjba_ab_3=1,jjba_stat_power=5,jjba_stat_range=5,jjba_stat_dur=5,jjba_stat_cool=5}] unless entity @s[nbt={Inventory:[{Slot:0b}]}] run replaceitem entity @s hotbar.0 minecraft:scute{stand_head:1b,display:{Name:"{\"text\":\"§e『Tusk ACT 4』\"}"},CustomModelData:270004}
kill @e[distance=..10,type=item,nbt={Item:{id:"minecraft:scute",tag:{stand_head:1b}}}]
